package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF778 extends MwfRequest<MWF778, MWF778Response> {

    @Parameter(name = "DEFFERED_INSTL_CNT")
    MWF778 defferedInstlCnt(Long defferedInstlCnt);
    @Parameter(name = "FA_IN")
    MWF778 faIn(Long faIn);
    @Parameter(name = "INSURANCE_TYPE_IN")
    MWF778 insuranceTypeIn(String insuranceTypeIn);
    @Parameter(name = "REGULAR_INSTALMENT_DAY")
    MWF778 regularInstalmentDay(Long regularInstalmentDay);
    @Parameter(name = "TERM_IN")
    MWF778 termIn(Long termIn);
}
